---
title: "IMAP/POP Check triggern"
description: "Startet einen sofortigen Check von allen zulässigen Monitoring-Standorten."
---

`POST /api/imap-pop-monitors/:imapPopMonitorPublicId/trigger-check`

## Authentifizierung

Erfordert eine gültige Session.

- Header: `Authorization: Bearer <token>`

## Parameter

- `imapPopMonitorPublicId` (Pfad, erforderlich): Öffentliche UUID des IMAP/POP Monitors.

## Response

```json
{
  "success": true,
  "message": "Checks triggered successfully",
  "imapPopMonitorId": 500,
  "locationCodes": ["de-nbg", "fi-hel"],
  "queueNames": ["imap-pop-monitor-checks-de-nbg", "imap-pop-monitor-checks-fi-hel"]
}
```

## Errors

- `400` Ungültige IMAP/POP Monitor Public ID (UUID) oder keine zulässigen Locations
- `401` Unauthorized
- `403` Forbidden
- `404` IMAP/POP monitor not found
- `503` No active monitoring locations available
- `500` Failed to trigger check

